package com.gh.gamecenter.db.info;

import com.j256.ormlite.field.DatabaseField;

/**
 * Created by khy on 9/01/18.
 */

public class GameTrendsInfo {

    @DatabaseField(id = true, columnName = "userId")
    private String userId;

    @DatabaseField(columnName = "internetPostTime") // 网络最新的一条条目时间
    private Long internetPostTime;

    @DatabaseField(columnName = "readPostTime") // 保存的条目时间
    private Long readPostTime;

    @DatabaseField(columnName = "iconUrl")
    private String iconUrl;

    public GameTrendsInfo() {
    }

    public GameTrendsInfo(String userId, long internetPostTime, long readPostTime, String iconUrl) {
        this.userId = userId;
        this.internetPostTime = internetPostTime;
        this.iconUrl = iconUrl;
        this.readPostTime = readPostTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public Long getInternetPostTime() {
        return internetPostTime;
    }

    public void setInternetPostTime(Long internetPostTime) {
        this.internetPostTime = internetPostTime;
    }

    public Long getReadPostTime() {
        return readPostTime;
    }

    public void setReadPostTime(Long readPostTime) {
        this.readPostTime = readPostTime;
    }
}
